Subject: Re: [RFC v2] Git User's Survey 2008

From: Jakub Narebski <[email-masked]>
Date: Mon, 25 Aug 2008 02:41:37 +0200

On Sun, 24 Aug 2008, Stephan Beyer napisał:
> Hi again,
> 
> > 8.  Which Git version(s) are you using? 
> >  [ ] pre 1.3
> >  [ ] 1.3.x
> ...
> >  [ ] master
> >  [ ] next
> 
> I wonder if people who do not know about master/next being git.git
> branches may do "[X] next" because they think they will use the next
> version available.
> 
> So could you write "master branch of official git repository" and the
> same for "next"?

Thanks. I've added this.

> > 12. What other SCM did or do you use?
> ...
> > By "custom (non-published)" it is meant here version control system
> > which was not released to the public, for example something written
> > for yourself, or internal company project used only in company.
> 
> Better:
>  "custom (non-published)" means a version control system which has
>  not been released to the public, for example, something written for
>  yourself or your company only.

Thank you, that is much better.

> And I am unsure if "SCM" is better than "version control system"
> in this sentence, but I do not think this is really important.

Hmmm...

> > 16. I use Git for (check all that apply):
> ...
> > Note that above choices are neither orthogonal nor exclusive.
> > You might want to check multiple answers wven for single repository.
>                                            ^^^^^^^^^ "even for a"
> 

Corrected. Thanks.

> > 17. How do you obtain Git?
> ...
> >  [ ] pull form main repository
>             ^^^^ from

Corrected. Thanks.
 
> > Explanation: binary package covers pre-compiled binary; source script
> > is meant to cover installation in source-based distributions, like
> > 'emerge' in Gentoo.
> 
> "pre-compiled binary (e.g. from rpm or deb archives)"

Thanks, added.

> > 59. Should Git User's Survey be repeated next year?
>   
> >  ( ) Yes
> >  ( ) No
> >  ( ) no opinion
> > Reset
> 
> I wonder if the "no opinion" choice is not needed because there is the
> "Reset" button.
> 
> 
> Apropos!
> 
> Is it possible to add a header text?

It is possible.
 
> I'd like that there are three things being clarified at the beginning of
> the survey page:
> 
>  * The survey is anonymous, but all information that the users provide will
>    be publicly available on the wiki.
> 
>  * The users may skip questions as they like.
> 
>  * The user needs JavaScript to submit the survey.

Thanks for reminding this. I have added this to survey.

> I btw do not like the last fact, but since most users nowadays have
> JavaScript activated, it may not be that bad.

F**k. I didn't notice this soon enough, and now I'd rather not re-enter
all 60 questions. I have sent feedback that requiring JavaScript to be
able to submit survey is strange.

Survs.com came recommended here on this mailing list. I have chosen it
over editing old www.survey.net.nz because it had "other (please specify)"
for both single answer (radio button) and multiple choice (checkbox)
question; later also because of the "matrix" questions. I didn't realize
that it requires JavaScript to submit... perhaps this would get corrected
before starting point for Git User's Survey 2008 (1 September, or later).

> Also, I still do not get a succesful message after submitting, but that
> may be related to the channel (test), if you have configured it like
> that. Have you? ;)

Yes, that depends on channel configuration, and I have forgot to add it
for this channel.

Thanks again for checking this survey, and for your comments.

BTW. here is analysis of 'test' channel (note that some questions, and
some possible answers, were added after starting 'test' channel):

  http://www.survs.com/app/4/wo/Y03N37u4Ou5p9SmoNrc5f0/0.0.33.1.1.1.1.5.1.1.0.1.1.7.11.0.1.0.13.1.1

-- 
Jakub Narebski
Poland